libpackage-variant-perl_1.002002-3_all.deb


Advertisement

Description

libpackage-variant-perl - parameterizable packages

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libpackage-variant-perl
Package version 1.002002
Package release 3
Package architecture all
Package type deb
Installed size 37 B
Download size 18.57 KB
Official Mirror ftp.br.debian.org
Package::Variant allows you to build a variable package that contains a
package template and can use it to build variant packages at runtime.
Your variable package will export a subroutine which will build a
variant package, combining its arguments with the template, and return
the name of the new variant package.
The implementation does not care about what kind of packages it builds,
be they simple function exporters, classes, singletons or something
entirely different.

Alternatives

Package Version Architecture Repository
libpackage-variant-perl_1.002002-3_all.deb 1.002002 all Debian Main
libpackage-variant-perl - - -

Requires

Name Value
libimport-into-perl -
libmodule-runtime-perl >= 0.013
libstrictures-perl -
perl -

Download

Type URL
Binary Package libpackage-variant-perl_1.002002-3_all.deb
Source Package libpackage-variant-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpackage-variant-perl deb package:
    # sudo apt-get install libpackage-variant-perl

Files

Path
/usr/share/doc/libpackage-variant-perl/README.gz
/usr/share/doc/libpackage-variant-perl/buildinfo_all.gz
/usr/share/doc/libpackage-variant-perl/changelog.Debian.gz
/usr/share/doc/libpackage-variant-perl/changelog.gz
/usr/share/doc/libpackage-variant-perl/copyright
/usr/share/man/man3/Package::Variant.3pm.gz
/usr/share/perl5/Package/Variant.pm

Changelog

2014-10-14 - Jonas Smedegaard <dr@jones.dk>
libpackage-variant-perl (1.002002-3) unstable; urgency=medium
* Really update long description.
2014-10-14 - Jonas Smedegaard <dr@jones.dk>
libpackage-variant-perl (1.002002-2) unstable; urgency=medium
[ upstream ]
* New release(s).
+ Specify perl prerequisite on metadata.
+ Documentation fixes and clarifications.
+ Fix license in metadata.
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to use cgit web frontend.
[ Jonas Smedegaard ]
* Declare compliance with Debian Policy 3.9.6.
* Update long description, reflecting upstream change.
2014-05-18 - Jonas Smedegaard <dr@jones.dk>
libpackage-variant-perl (1.002000-1) unstable; urgency=medium
[ upstream ]
* New release.
+ Add build_variant method on variable packages, to allow avoiding
importing a generator sub.
+ Fix pragmas applied by modules listed in "importing" from leaking
out into unexpected scopes.
[ Jonas Smedegaard ]
* Bump to standards-version 3.9.5.
* Fix use canonical Vcs-Git URL.
* Update watch file to use metacpan.org URL.
* Update homepage.
* Update copyright info:
+ Extend coverage of packaging.
2013-05-09 - Jonas Smedegaard <dr@jones.dk>
libpackage-variant-perl (1.001004-1) unstable; urgency=low
[ upstream ]
* New release.
+ Fix documentation of "build_variant_of" method.
[ Jonas Smedegaard ]
* Add README.source emphasizing control.in file as *not* a
show-stopper for contributions, referring to wiki page for details.
* Add git URL as alternate source.
* Stop track md5sum of upstream tarball.
* Stop track upstream development releases.
2013-04-09 - Jonas Smedegaard <dr@jones.dk>
libpackage-variant-perl (1.001003-1) unstable; urgency=low
[ upstream ]
* New release.
2013-03-20 - Jonas Smedegaard <dr@jones.dk>
libpackage-variant-perl (1.001002-2) unstable; urgency=low
* Build-depend on libmoo-perl, to improve testsuite.
2013-03-20 - Jonas Smedegaard <dr@jones.dk>
libpackage-variant-perl (1.001002-1) unstable; urgency=low
* Initial packaging release.
Closes: bug#703488.

See Also

Package Description
libpackagekit-glib2-18_1.0.1-2_amd64.deb Library for accessing PackageKit using GLib
libpackagekit-glib2-dev_1.0.1-2_amd64.deb Library for accessing PackageKit using GLib (development files)
libpackagekitqt4-0_0.9.5-1_amd64.deb Library for accessing PackageKit using Qt4
libpackagekitqt4-dev_0.9.5-1_amd64.deb Library for accessing PackageKit using Qt4 (development files)
libpacket-ruby1.8_0.1.15-5_all.deb Transitional package for ruby-packet
libpacket-ruby1.9.1_0.1.15-5_all.deb Transitional package for ruby-packet
libpacket-ruby_0.1.15-5_all.deb Transitional package for ruby-packet
libpacketdump3-dev_3.0.21-1_amd64.deb development headers for the libpacketdump library
libpacketdump3_3.0.21-1_amd64.deb network packet parsing and human-readable display library
libpacklib-lesstif1-dev_20061220+dfsg3-4.1_amd64.deb CERNLIB data analysis suite - core GUI library (development files)
libpacklib-lesstif1-gfortran_20061220+dfsg3-4.1_amd64.deb CERNLIB data analysis suite - core GUI library
libpacklib1-dev_20061220+dfsg3-4.1_amd64.deb CERNLIB data analysis suite - core library (development files)
libpacklib1-gfortran_20061220+dfsg3-4.1_amd64.deb CERNLIB data analysis suite - core library
libpacparser-dev_1.3.0-2_amd64.deb library to parse proxy auto-config files (development files)
libpacparser1_1.3.0-2_amd64.deb library to parse proxy auto-config files
Advertisement
Advertisement